org.apache.ignite.binary

## Interface BinaryIdentityResolver

All Known Implementing Classes:
  BinaryAbstractIdentityResolver, BinaryArrayIdentityResolver, BinaryFieldIdentityResolver

    public interface BinaryIdentityResolver

Interface to compute hash codes for new binary objects and compare them for equality.

### Method Summary

Methods
`boolean` `equals(BinaryObject o1, BinaryObject o2)` Compare two binary objects for equality.
`int` `hashCode(BinaryObject obj)` Compute hash code for binary object.

### Method Detail

#### hashCode

    int hashCode(BinaryObject obj)

Compute hash code for binary object.

Parameters:
  `obj` - Binary object.
Returns:
  Hash code value.

#### equals

    boolean equals(@Nullable
                 BinaryObject o1,
                 @Nullable
                 BinaryObject o2)

Compare two binary objects for equality.

Parameters:
  `o1` - First object.
  `o2` - Second object.
Returns:
  `True` if both objects are equal.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016